{
  "name": "@digiresilience/metamigo-worker",
  "version": "0.2.0",
  "main": "build/main/index.js",
  "type": "module",
  "author": "Abel Luck <abel@guardianproject.info>",
  "license": "AGPL-3.0-or-later",
  "dependencies": {
    "graphile-worker": "^0.13.0",
    "remeda": "^1.24.0",
    "html-to-text": "^9.0.5",
    "node-fetch": "^3",
    "twilio": "^4.14.0",
    "@digiresilience/montar": "*",
    "@digiresilience/metamigo-common": "*",
    "@digiresilience/metamigo-config": "*",
    "@digiresilience/metamigo-db": "*"
  },
  "devDependencies": {
    "@babel/core": "7.22.9",
    "@babel/preset-env": "7.22.9",
    "@babel/preset-typescript": "7.22.5",
    "@types/fluent-ffmpeg": "^2.1.21",
    "@types/jest": "^29.5.3",
    "eslint": "^8.45.0",
    "jest": "^29.6.1",
    "jest-circus": "^29.6.1",
    "jest-junit": "^16.0.0",
    "nodemon": "^3.0.1",
    "pino-pretty": "^10.0.1",
    "prettier": "^3.0.0",
    "ts-node": "^10.9.1",
    "typedoc": "^0.24.8",
    "typescript": "^5.1.6"
  },
  "nodemonConfig": {
    "ignore": [
      "docs/*"
    ],
    "ext": "ts,json,js"
  },
  "scripts": {
    "build": "tsc -p tsconfig.json",
    "build-test": "tsc -p tsconfig.json",
    "doc:html": "typedoc src/ --exclude '**/*.test.ts' --exclude '**/*.spec.ts' --name $npm_package_name --readme README.md --target es2019 --mode file --out build/docs",
    "doc": "yarn run doc:html",
    "fix:lint": "eslint src --ext .ts --fix",
    "fix:prettier": "prettier \"src/**/*.ts\" --write",
    "test:jest": "JEST_CIRCUS=1 jest --coverage --forceExit --detectOpenHandles --reporters=default --reporters=jest-junit",
    "test:jest-verbose": "yarn test:jest --verbose --silent=false",
    "test": "yarn test:jest",
    "lint": "yarn lint:lint && yarn lint:prettier",
    "lint:lint": "eslint src --ext .ts",
    "lint:prettier": "prettier \"src/**/*.ts\" --list-different",
    "watch:test": "yarn test:jest --watchAll"
  }
}
